Delete a query patterns report
curl --request DELETE \
--url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/query-patterns/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/query-patterns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/query-patterns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Query Insights reports
Delete a query patterns report
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_branch
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | read_branches |
| Database | read_branches |
| Branch | read_branch |
DELETE
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
query-patterns
/
{id}
Delete a query patterns report
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization the branch belongs to
The name of the database the branch belongs to
The name of the branch
The ID of the query patterns report
Response
Delete a query patterns report
⌘I

